Subject: Re: bug#69007: diffoscope: Update to 256. [security fixes]

From: John Kehayias <[email-masked]>
Date: Fri, 09 Feb 2024 21:41:27 +0000

Hi vagrant!

On Fri, Feb 09, 2024 at 01:27 PM, Vagrant Cascadian wrote:

> The attached patch updates diffoscope to 256, which contains a security
> fix for directory traversals when using gpg.
>
> Both diffoscope and it's dependent, reprotest, still build fine!
>

Great, thank you! (following up here for posterity; discussed via IRC)

> I am not sure what the expedited process for security updates are, but
> if there is anything I can do, please let me know!
>

As we discussed, we should formalize some CC-ing of the security list,
or a separate security team for reviewing patches (for public flaws,
rather than reporting them). And making sure "[security fixes]" is
noted, as you did here, for easy sorting.

> live well,
>   vagrant
>
> From 9dcababcf0e94ddab30de91054e04400b263879c Mon Sep 17 00:00:00 2001
> From: Vagrant Cascadian <[email-masked]>
> Date: Fri, 9 Feb 2024 12:58:57 -0800
> Subject: [PATCH] gnu: diffoscope: Update to 256. [security fixes]
>

In any event, patch looks good and as a leaf with a pretty trivial
patch, I think you would be clear to push directly to begin with. There
was some discussion a while back at what is "trivial," but a version
update with 1 dependent is about as easy as it gets. Perhaps another
thing to make sure we are on the same page about but I doubt anyone
would complain if you had pushed this directly.

We could also let QA build, since it is back up, but again, very minor
concern here if something were to break.

Anyway, please do push! I might put "[security fixes]" before the period
in the commit message to match previous ones, but that is very minor.

Thanks again!
John

> Fixes: https://salsa.debian.org/reproducible-builds/diffoscope/-/issues/361
>
> * gnu/packages/diffoscope.scm (diffoscope): Update to 256.
> ---
>  gnu/packages/diffoscope.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/gnu/packages/diffoscope.scm b/gnu/packages/diffoscope.scm
> index 626ac00425..f4d271f690 100644
> --- a/gnu/packages/diffoscope.scm
> +++ b/gnu/packages/diffoscope.scm
> @@ -74,7 +74,7 @@ (define-module (gnu packages diffoscope)
>  (define-public diffoscope
>    (package
>      (name "diffoscope")
> -    (version "255")
> +    (version "256")
>      (source
>       (origin
>         (method git-fetch)
> @@ -83,7 +83,7 @@ (define-public diffoscope
>               (commit version)))
>         (file-name (git-file-name name version))
>         (sha256
> -        (base32 "07mkmwp3ni2dh5w5q2vxkc588l5dabcly3jrd8ic62318si7d400"))))
> +        (base32 "1sdg314a3hp2kv492130p8w7j8mlhymij7h2rndm4q7gqrshp6jf"))))
>      (build-system python-build-system)
>      (arguments
>       (list
>
> base-commit: 513755d64debb44096f21e323a5b89a7a597d2ca